﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using static System.Net.Mime.MediaTypeNames;

namespace NetSerialWrapper
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                ComConnection com = new ComConnection.Builder("COM9", 9600).Build();
                com.Connect();
                int milliseconds = 10;
                Thread.Sleep(milliseconds);

                // Staring the ReadCommand Daemon
                new Thread(() =>
                {
                    Thread.CurrentThread.IsBackground = true;
                    while (true)
                    {                  
                        try
                        {
                            // Read 15 lines and write them to console.
                            Console.WriteLine(com.ReadCommand(1));
                        }
                        catch (ComConnectionException ex)
                        {
                            Console.WriteLine(ex.Message);
                        }
                    }
                }).Start();
                Thread.Sleep(milliseconds);
                com.ExecuteCommand("info\r\n");
            }
            catch (ComConnectionException ex)
            {
                Console.WriteLine(ex.Message);
            }
            Console.ReadKey();
        }
    }
}
