﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using static System.Net.Mime.MediaTypeNames;

namespace NetSerialWrapper
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                // Create connection and connect
                ComConnection com = new ComConnection.Builder("COM9", 9600).Build();
                com.Connect();

                // Staring the ReadCommand daemon in infinitfe loop
                new Thread(() =>
                {
                    Thread.CurrentThread.IsBackground = true;
                    while (true)
                    {                  
                        try
                        {
                            // Wait until 1 line will be filled and write to console.
                            Console.Write(com.ReadCommand(1));
                        }
                        catch (ComConnectionException ex)
                        {
                            Console.WriteLine(ex.Message);
                        }
                    }
                }).Start();
           
                com.ExecuteCommand("info\r\n");
            }
            catch (ComConnectionException ex)
            {
                Console.WriteLine(ex.Message);
            }
            Console.ReadKey();
        }
    }
}
