#include <iostream>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <thread>

#include "ComConnection.h"
#include "ComConnectionException.h"

using namespace std;

int main()
{
	/*Portname must contain these backslashes!!!*/
	char *port_name = "\\\\.\\COM9";

	try {
		//Create device connection and connect
		ComConnection device(port_name, 9600);
		device.connect();

		if (device.isConnected()) {
			cout << "Connection Established" << endl << endl;

			std::string command = "info\r\n";
			device.writeSerialPort(command, command.size());

			// Read data in infinite loop.  
			while (device.isConnected()) {
				char output[MAX_DATA_LENGTH];
				device.readSerialPort(output, MAX_DATA_LENGTH);
				//Printing the output if string is not empty
				if (strlen(output) != 0) {
					printf("%s", output);
				}
			}
		}
		else {
			cout << "port not connected: call connect() method";
		}
	}
	catch (ComConnectionException& e) {
		// On error print
		cout << e.what();
	}

	getchar();
}
