﻿Public Class Form
    Dim ListPorts As Array
    Delegate Sub SetTextCallback(ByVal [text] As String)

    Private Sub Form_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        ListPorts = IO.Ports.SerialPort.GetPortNames()
        ports.Items.AddRange(ListPorts)
    End Sub

    Private Sub ReceivedText(ByVal [text] As String)
        If Me.console_output.InvokeRequired Then
            Dim x As New SetTextCallback(AddressOf ReceivedText)
            Me.Invoke(x, New Object() {(text)})
        Else
            Me.console_output.Text &= [text]
        End If
    End Sub

    Private Sub SerialPort1_DataReceived(Sender As System.Object, e As System.IO.Ports.SerialDataReceivedEventArgs) Handles SerialPort1.DataReceived
        ReceivedText(SerialPort1.ReadExisting())
    End Sub

    Private Sub btn_Connect_Click(sender As Object, e As EventArgs) Handles btn_Connect.Click
        SerialPort1.PortName = ports.Text
        SerialPort1.Open()
    End Sub

    Private Sub btn_set_atten_Click(sender As Object, e As EventArgs) Handles btn_set_atten.Click
        SerialPort1.Write("SAA " + txt_attenuation.Text)
    End Sub
End Class
